カーネルを2.6にアップグレード

投稿日: 2006年03月11月

ここのサーバのカーネルを2.6にアップグレードした。

といってもdebianなのでapt-getしただけ。

apt-get install kernel-image-2.4.27-2-686
apt-get install kernel-image-2.6.8-2-686

最初は直接2.6をインストールしようとしたんだけど、なぜか「2.4.27-2-686に依存してるから先にインストールしろ」という内容のエラーが出たので先に2.4.27-2-686をインストールした。

インストール後、カーネルパニックで起動しない。これすでに3度目。

  • <20040115#p01>
  • <20040307#p03>

そのうえ、今回liloのプロンプトが出ない設定になっていたため以前のカーネルでの起動もできない。

ShiftまたはAltを押しながら起動すると選択画面が表示できることがわかったので試してみたら無事選択画面がでた。

名前:宮内 はじめ

Code for Nagoya名誉代表

E2D3名古屋支部長

プログラマーです。GISやデータビズが好きです。このサイトは宮内の個人的なメモです。

プロフィール

お問い合わせ